- Qt 6.12
- Qt Graphs
- C++ Classes
- QtGraphs
- QDateTimeAxis
- Qt Graphs | Commercial or GPLv3

# Obsolete Members for QDateTimeAxis

The following members of class QDateTimeAxis are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(deprecated in 6.12)` tickInterval : qreal

## Public Functions

`(deprecated)` void | setTickInterval(qreal newTickInterval)
`(deprecated)` qreal | tickInterval() const

## Signals

`(deprecated)` void | tickIntervalChanged()

## Property Documentation

### `[deprecated in 6.12]` tickInterval : qreal

This enumeration is deprecated since 6.12. We strongly advise against using it in new code.

This property holds the amount of major ticks are placed on an axis. If value is 0 or lower, axis will automatically calculate appropriate amount of ticks. The default value is 0. use tickCount instead.

Access functions:

qreal | tickInterval() const
void | setTickInterval(qreal newTickInterval)

Notifier signal:

void | tickIntervalChanged()